local RayUI, E, L, V, P, G = unpack(select(2, ...))

local IsAddOnLoaded = IsAddOnLoaded
local addon = 'BigWigs'

if IsAddOnLoaded('BigWigs') ~= true then return end

function RayUI:LoadBWProfile()
    LoadAddOn('BigWigs_Options')
    LoadAddOn('BigWigs')

    BigWigs3DB = {
        ['namespaces'] = {
            ['BigWigs_Plugins_Alt Power'] = {
                ['profiles'] = {['RayUI'] = {['posx'] = 976.2828148762928, ['posy'] = 275.0668457574175, ['fontOutline'] = 'OUTLINE'}}
            },
            ['BigWigs_Plugins_Sounds'] = {
                ['profiles'] = {['RayUI'] = {['media'] = {['Alert'] = 'Arrow Swoosh', ['Warning'] = 'BigWigs: Alert'}}}
            },
            ['BigWigs_Plugins_InfoBox'] = {['profiles'] = {['RayUI'] = {['posx'] = 275.750101977832, ['posy'] = 372.5666701537339}}},
            ['BigWigs_Plugins_Messages'] = {
                ['profiles'] = {['RayUI'] = {['BWMessageAnchor_y'] = 348.1665903823596, ['BWMessageAnchor_x'] = 616.4667232393331}}
            },
            ['BigWigs_Plugins_AutoReply'] = {['profiles'] = {['RayUI'] = {['exitCombat'] = 4, ['mode'] = 4, ['disabled'] = false}}},
            ['BigWigs_Plugins_Bars'] = {
                ['profiles'] = {
                    ['RayUI'] = {
                        ['outline'] = 'OUTLINE',
                        ['BigWigsEmphasizeAnchor_height'] = 22.00000190734863,
                        ['BigWigsAnchor_width'] = 192.9099426269531,
                        ['monochrome'] = false,
                        ['BigWigsEmphasizeAnchor_x'] = 356.8001358492402,
                        ['BigWigsAnchor_height'] = 10.9206714630127,
                        ['BigWigsEmphasizeAnchor_y'] = 528.523199735042,
                        ['nameplateOffsetY'] = 55,
                        ['BigWigsAnchor_x'] = 211.7669002526382,
                        ['BigWigsEmphasizeAnchor_width'] = 249.9999694824219,
                        ['texture'] = 'MerathilisUI4',
                        ['emphasizeGrowup'] = true,
                        ['BigWigsAnchor_y'] = 520.9065982301909,
                        ['fill'] = false
                    }
                }
            },
            ['BigWigs_Plugins_Proximity'] = {
                ['profiles'] = {
                    ['RayUI'] = {
                        ['height'] = 120.0000076293945,
                        ['posy'] = 381.2671223583893,
                        ['posx'] = 994.0336338337365,
                        ['width'] = 140.0001525878906
                    }
                }
            }
        },
        ['profiles'] = {['RayUI'] = {}}
    }
end

local function BWTable()
    E.Options.args.rayui.args.addons.args[addon] = {
        order = 1,
        type = 'execute',
        name = addon,
        desc = string.format(L['This will create and apply profile for %s'], addon),
        func = function()
            RayUI:LoadBWProfile()
            ReloadUI()
        end,
        disabled = function()
            return not IsAddOnLoaded('BigWigs')
        end
    }
end

tinsert(RayUI.Config, BWTable)
